Bug 220347 - driver check fails for commands in a pipeline
driver check fails for commands in a pipeline
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: FC6Update
  Show dependency treegraph
Reported: 2006-12-20 11:33 EST by Bryan Christ
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.7.45-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-05 18:56:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryan Christ 2006-12-20 11:33:36 EST
Description of problem:

This causes printing to a remote cups printer to fail.
The default error message "usr/lib/cups/backend/ipp failed" is not very helpful.
 Only by changing the loglevel to debug can it be seen that page rendering fails
because this package is missing.

Version-Release number of selected component (if applicable):

How reproducible:

unknown.  (assumed always).

Steps to Reproduce:
1.  Install FC6 using defaults.
2.  Configure a remote cups printer using cups web interfaces on
http://localhost:631 or by using the Gnome menu item
3.  Try to print a test page.
Actual results:

No jobs are printing

Expected results:

Pretty colors and text on paper

Additional info:

Until packages is added to FC6 by default, simply do a:
yum install pnm2ppa
Comment 1 Tim Waugh 2006-12-21 08:28:24 EST
What does 'rpm -q system-config-printer' say?  The updated package should have
warned about this.
Comment 2 Bryan Christ 2006-12-21 11:06:19 EST
[root@tuxdev ~]# rpm -q system-config-printer

I assure you that I've never seen any warning about pnm2ppa.
Comment 3 Tim Waugh 2006-12-21 11:51:28 EST
Oh, there was a bug in the checking code, now fixed in CVS.
Comment 4 Bryan Christ 2006-12-21 11:59:43 EST
Okay.  I guess we'll have to take your word for it :)
Comment 5 Tim Waugh 2006-12-21 12:01:19 EST
The fix will be in a future update shortly.
Comment 6 Tim Waugh 2006-12-22 04:19:42 EST
Please try 0.7.43-1.fc6 from updates-testing:

yum --enablerepo=updates-testing update 'system-config-printer*'

When setting up a new queue that requires a package not installed you should get
a warning message.
Comment 7 Fedora Update System 2007-01-05 13:21:01 EST
Fixed in update: system-config-printer-0.7.45-1.fc6
Comment 8 Bryan Christ 2007-01-05 13:45:24 EST
I did the update, but since I had already fixed the problem by installing the
needed package pnm2ppa manually.
Comment 9 Bryan Christ 2007-01-05 13:46:33 EST
(brain fart) comment#8 cont... I didn't get a warning message.

Note You need to log in before you can comment on or make changes to this bug.